<?php

/*
CLASSE COPIADA DA DEPENDENCIA 'TEKNISA/LIBRARIES' VERSÃO: '3.0.24'. NAMESPACE ORIGINAL 'Teknisa\Libs\Util'
*/

namespace EMS\PortalFuncionario\Auth;

use Zeedhi\Framework\DependencyInjection\InstanceManager;

class InstanceProvider {
    /** @return \Teknisa\Libs\Util\Environment */
    public static function getEnvironment()
    {
        return InstanceManager::getInstance()->getService('libEnvironment');
    }

    /** @return \Teknisa\Libs\Util\ConnectionCustom */
    public static function getConnectionCustom()
    {
        return InstanceManager::getInstance()->getService('connectionCustom');
    }

    /** @return \Teknisa\Libs\Service\Migration */
    public static function getMigrationService()
    {
        return InstanceManager::getInstance()->getService('migrationService');
    }

    /** @return \Teknisa\Libs\Util\MongoImplCustom */
    public static function getMongoCache()
    {
        return InstanceManager::getInstance()->getService('mongoCacheImpl');
    }

    /** @return \Teknisa\Libs\Util\OAuthCustom */
    public static function getOAuthCustom()
    {
        return InstanceManager::getInstance()->getService('oAuthImpl');
    }

    /** @return  \Teknisa\Libs\Util\IntegrationProvider */
    public static function getIntegrationProvider()
    {
        return InstanceManager::getInstance()->getService('integrationProvider');
    }

    /** @return  \Zeedhi\Framework\Session\Session */
    public static function getSession()
    {
        return InstanceManager::getInstance()->getService('session');
    }

    /** @return \Teknisa\Libs\Util\Repositories\UserData */
    public static function getLibUserDataRepository()
    {
        return InstanceManager::getInstance()->getService('libUserDataRepository');
    }
}